Branches
List a branch’s direct child branches, paginated
GET
/
project
/
{projectId}
/
branch
/
children
List a branch’s direct child branches, paginated
curl --request GET \
--url https://backend.branch.flowengineering.com/project/{projectId}/branch/children \
--header 'X-API-Key: <api-key>' \
--header 'customer: <customer>'import requests
url = "https://backend.branch.flowengineering.com/project/{projectId}/branch/children"
headers = {
"customer": "<customer>",
"X-API-Key": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {customer: '<customer>', 'X-API-Key': '<api-key>'}};
fetch('https://backend.branch.flowengineering.com/project/{projectId}/branch/children', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"branches": [
{
"created_at": "<string>",
"created_by_id": "<string>",
"description": "<string>",
"editor_group_ids": [
"<string>"
],
"has_children": true,
"id": "<string>",
"is_deleted": true,
"is_iteration": true,
"is_protected": true,
"is_variant": true,
"labels": [
{
"color": "#dbeafe",
"symbol": "<string>",
"text": "<string>"
}
],
"last_rebased_at": "<string>",
"last_touched_at": "<string>",
"merged_at": "<string>",
"name": "<string>",
"number": 123,
"owner_id": "<string>",
"parent_name": "<string>",
"ready_for_review": true,
"require_review": true,
"required_reviewer_ids": [
"<string>"
],
"updated_at": "<string>",
"updated_by_id": "<string>",
"upstream_branch_ids": [
"<string>"
],
"baseline_id": "<string>",
"branch_extraction_enabled": true,
"change_request_diff_summary": {
"added": 123,
"pending": 123,
"removed": 123,
"updated": 123
},
"change_request_title": "<string>",
"comment_count": 123,
"designated_reviewer_ids": [
"<string>"
],
"parent": "<string>",
"reviews": [
{
"branch_id": "<string>",
"comment_id": "<string>",
"created_at": "<string>",
"dismissed_at": "<string>",
"id": "<string>",
"status": "Approved",
"updated_at": "<string>",
"user_id": "<string>"
}
]
}
],
"has_more": true,
"total": 123
}Authorizations
api-keybearer
Headers
Workspace identifier
Path Parameters
Project UUID, not a slug. Resolve a slug with GET /project/slug/{slug} using the same workspace and credentials, then pass the returned id.
Query Parameters
Available options:
asc, desc BranchSort key (default "modified")
Parent branch id; "master" (default) for branches off Base
⌘I
List a branch’s direct child branches, paginated
curl --request GET \
--url https://backend.branch.flowengineering.com/project/{projectId}/branch/children \
--header 'X-API-Key: <api-key>' \
--header 'customer: <customer>'import requests
url = "https://backend.branch.flowengineering.com/project/{projectId}/branch/children"
headers = {
"customer": "<customer>",
"X-API-Key": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {customer: '<customer>', 'X-API-Key': '<api-key>'}};
fetch('https://backend.branch.flowengineering.com/project/{projectId}/branch/children', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"branches": [
{
"created_at": "<string>",
"created_by_id": "<string>",
"description": "<string>",
"editor_group_ids": [
"<string>"
],
"has_children": true,
"id": "<string>",
"is_deleted": true,
"is_iteration": true,
"is_protected": true,
"is_variant": true,
"labels": [
{
"color": "#dbeafe",
"symbol": "<string>",
"text": "<string>"
}
],
"last_rebased_at": "<string>",
"last_touched_at": "<string>",
"merged_at": "<string>",
"name": "<string>",
"number": 123,
"owner_id": "<string>",
"parent_name": "<string>",
"ready_for_review": true,
"require_review": true,
"required_reviewer_ids": [
"<string>"
],
"updated_at": "<string>",
"updated_by_id": "<string>",
"upstream_branch_ids": [
"<string>"
],
"baseline_id": "<string>",
"branch_extraction_enabled": true,
"change_request_diff_summary": {
"added": 123,
"pending": 123,
"removed": 123,
"updated": 123
},
"change_request_title": "<string>",
"comment_count": 123,
"designated_reviewer_ids": [
"<string>"
],
"parent": "<string>",
"reviews": [
{
"branch_id": "<string>",
"comment_id": "<string>",
"created_at": "<string>",
"dismissed_at": "<string>",
"id": "<string>",
"status": "Approved",
"updated_at": "<string>",
"user_id": "<string>"
}
]
}
],
"has_more": true,
"total": 123
}